%define	quirkver	20100619
Summary:	Power management utilities and scripts
Summary(pl.UTF-8):	Narzędzia i skrypty do zarządzania energią
Name:		pm-utils
Version:	1.4.1
Release:	9%{?tld}
License:	GPL v2
Group:		Applications/System
Source0:	http://pm-utils.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	1742a556089c36c3a89eb1b957da5a60
Source1:	http://pm-utils.freedesktop.org/releases/pm-quirks-%{quirkver}.tar.gz
# Source1-md5:	3b6ee39056b9ece0cd5e073a4c272b05
Patch0:		init-logfile-append.patch
Patch1:		networkmanager-typo-fix.patch
Patch2:		grub2.patch
Patch3:		hook-exit-code-log.patch
Patch4:		log-line-spacing-fix.patch
Patch5:		nm_method.patch
Patch6:		add-in-kernel-suspend-to-both.patch
Patch7:		man-fix.patch
Patch10:	bashism.patch
URL:		http://pm-utils.freedesktop.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	xmlto
# power.d/readahead
Requires:	blockdev
# power.d/disable_wol
Requires:	ethtool
# power.d/harddrive
Requires:	hdparm
# video and tuxonice
Requires:	kbd
# power.d/journal-commit and readahead
Requires:	mount
# sleep.d/90clock
Requires:	util-linux
# sleep.d/01grub and power.d/wireless
Requires:	which
# sleep.d/55NetworkManager
Suggests:	dbus
# sleep.d/99video
Suggests:	radeontool
# sleep.d/99video
Suggests:	vbetool
# power.d/wireless
Suggests:	wireless-tools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The pm-utils package contains utilities and scripts useful for tasks
related to power management.

%description -l pl.UTF-8
Pakiet pm-utils zawiera narzędzia i skrypty pomocne przy zadaniach
związanych z zarządzaniem energią.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch10 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_var}/log

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Install quirks
cp -a video-quirks $RPM_BUILD_ROOT%{_libdir}/pm-utils

touch $RPM_BUILD_ROOT%{_var}/log/pm-{powersave,suspend}.log

# included via %doc
rm -rf $RPM_BUILD_ROOT%{_docdir}/pm-utils

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* TODO pm/HOWTO*
%dir %{_sysconfdir}/pm
%dir %{_sysconfdir}/pm/config.d
%dir %{_sysconfdir}/pm/power.d
%dir %{_sysconfdir}/pm/sleep.d
%attr(755,root,root) %{_bindir}/on_ac_power
%attr(755,root,root) %{_bindir}/pm-is-supported
%dir %{_libdir}/pm-utils
%dir %{_libdir}/pm-utils/bin
%attr(755,root,root) %{_libdir}/pm-utils/bin/pm-action
%attr(755,root,root) %{_libdir}/pm-utils/bin/pm-pmu
%attr(755,root,root) %{_libdir}/pm-utils/bin/pm-reset-swap
%attr(755,root,root) %{_libdir}/pm-utils/bin/service
%dir %{_libdir}/pm-utils/module.d
%attr(755,root,root) %{_libdir}/pm-utils/module.d/kernel
%attr(755,root,root) %{_libdir}/pm-utils/module.d/tuxonice
%attr(755,root,root) %{_libdir}/pm-utils/module.d/uswsusp
%dir %{_libdir}/pm-utils/power.d
%attr(755,root,root) %{_libdir}/pm-utils/power.d/*
%dir %{_libdir}/pm-utils/sleep.d
%attr(755,root,root) %{_libdir}/pm-utils/sleep.d/*
%{_libdir}/pm-utils/defaults
%{_libdir}/pm-utils/functions
%{_libdir}/pm-utils/pm-functions
%{_libdir}/pm-utils/video-quirks
%attr(755,root,root) %{_sbindir}/pm-hibernate
%attr(755,root,root) %{_sbindir}/pm-powersave
%attr(755,root,root) %{_sbindir}/pm-suspend
%attr(755,root,root) %{_sbindir}/pm-suspend-hybrid
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*
%{_pkgconfigdir}/pm-utils.pc
%ghost %{_var}/log/pm-powersave.log
%ghost %{_var}/log/pm-suspend.log
%changelog
* Sun Dec 10 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/pm-utils.git;a=log;h=master

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> aaca761
- x32 rebuild
- release 9 (by relup.sh)

* Sat Jul 13 2013 Elan Ruusamäe <glen@delfi.ee> a47e60f
- release 8 (by relup.sh)

* Sat Jul 13 2013 Elan Ruusamäe <glen@delfi.ee> 82f5e82
- update grub2 paths for pld

* Sat Jul 13 2013 Elan Ruusamäe <glen@delfi.ee> 4f0aa2c
- add patches from fedora (NM fix, grub2, s2both in kernel support, ...)

* Sat Jul 13 2013 Elan Ruusamäe <glen@delfi.ee> 15c2b95
- require/suggest more tools that are used

* Sat Jul 13 2013 Elan Ruusamäe <glen@delfi.ee> 0bf780e
- Revert "- removed vbetool from Suggests" -- why it was removed?

* Mon Jan 16 2012 Paweł Sikora <pluto@pld-linux.org> 1c7cb96
- more /bin/bash, release 7.

* Mon Jan 16 2012 Paweł Sikora <pluto@pld-linux.org> 8274710
- use already pulled /bin/bash for shell descriptors redirection.
  /bin/mksh can't handle it by default.

* Mon Jun 13 2011 Łukasz Kieś <kiesiu@pld-linux.org> b9feb3b
- removed vbetool from Suggests
- rel. 6

* Mon Jun 13 2011 Łukasz Kieś <kiesiu@pld-linux.org> 596482d
- changed radeontool from R: to S:
- S: vbetool

* Sun Jun 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> da4205c
- rel 4; install quirks database

* Sun Jun 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e6143fe
- rel 3; drop vbetool dep (does bad things on KMS drivers); R missing deps: hdparm, kbd, radeontool

* Sun Feb 20 2011 Elan Ruusamäe <glen@pld-linux.org> 3a8dad2
- sata_alpm uses bash syntax, force bash

* Sat Feb 12 2011 Paweł Sikora <pluto@pld-linux.org> e287659
- package the /var/log/pm-powersave.log

* Tue Oct 12 2010 Jan Palus <jan.palus@gmail.com> 5c9ca06
- up to 1.4.1
- hal no longer required

* Fri Jun 04 2010 arvenil <arvenil@pld-linux.org> 9dc8b4a
- up to 1.3.0

* Wed Dec 30 2009 Patryk Zawadzki <patrys@room-303.com> 5b7d90f
- 1.2.6.1

* Wed Nov 04 2009 Szymon Siwek <sls@pld-linux.org> fc056f1
- BR: xmlto

* Sat Apr 11 2009 Patryk Zawadzki <patrys@room-303.com> b172b7c
- 1.2.5

* Fri Mar 13 2009 Marcin Banasiak <marcin.banasiak@gmail.com> f8bc749
- updated to 1.2.4

